Package: org.grails.web.mapping

## [Java] Class UrlMappingUtils

- org.grails.web.mapping.UrlMappingUtils

- Utility methods for working with UrlMappings

  Authors:
    Graeme Rocher
  Since:
    2.4

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.lang.String` | `buildDispatchUrlForMapping(UrlMappingInfo info)` Constructs the URI to forward to using the given request and UrlMappingInfo instance
    `` | `static java.lang.String` | `forwardRequestForUrlMappingInfo(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, UrlMappingInfo info)` @see #forwardRequestForUrlMappingInfo(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, grails.web.mapping.UrlMappingInfo, java.util.Map)
    `` | `static java.lang.String` | `forwardRequestForUrlMappingInfo(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, UrlMappingInfo info, java.util.Map model)` @see #forwardRequestForUrlMappingInfo(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, grails.web.mapping.UrlMappingInfo, java.util.Map, boolean)
    `` | `static java.lang.String` | `forwardRequestForUrlMappingInfo(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, UrlMappingInfo info, java.util.Map model, boolean includeParams)` Forwards a request for the given UrlMappingInfo object and model
    `` | `static IncludedContent` | `includeForUrl(java.lang.String includeUrl, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map model)` Includes the given URL returning the resulting content as a String
    `` | `static IncludedContent` | `includeForUrlMappingInfo(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, UrlMappingInfo info, java.util.Map model)` Include whatever the given UrlMappingInfo maps to within the current response
    `` | `static UrlMappingsHolder` | `lookupUrlMappings(javax.servlet.ServletContext servletContext)` Looks up the UrlMappingsHolder instance
    `` | `static org.springframework.web.servlet.View` | `resolveView(javax.servlet.http.HttpServletRequest request, UrlMappingInfo info, java.lang.String viewName, org.springframework.web.servlet.ViewResolver viewResolver)` Resolves a view for the given view and UrlMappingInfo instance

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public static java.lang.String buildDispatchUrlForMapping(UrlMappingInfo info)

      Constructs the URI to forward to using the given request and UrlMappingInfo instance

      Parameters:
        `info` - The UrlMappingInfo
      Returns:
        The URI to forward to

    - #### public static java.lang.String forwardRequestForUrlMappingInfo(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, UrlMappingInfo info)

      See Also:
        forwardRequestForUrlMappingInfo(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, grails.web.mapping.UrlMappingInfo, java.util.Map)

    - #### @java.lang.SuppressWarnings("rawtypes") public static java.lang.String forwardRequestForUrlMappingInfo(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, UrlMappingInfo info, java.util.Map model)

      See Also:
        forwardRequestForUrlMappingInfo(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, grails.web.mapping.UrlMappingInfo, java.util.Map, boolean)

    - #### @java.lang.SuppressWarnings({ "unchecked", "rawtypes" }) public static java.lang.String forwardRequestForUrlMappingInfo(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, UrlMappingInfo info, java.util.Map model, boolean includeParams)

      Forwards a request for the given UrlMappingInfo object and model

      throws:
        javax.servlet.ServletException Thrown when an error occurs executing the forward
      throws:
        java.io.IOException Thrown when an error occurs executing the forward
      Parameters:
        `request` - The request
        `response` - The response
        `info` - The UrlMappingInfo object
        `model` - The Model
        `includeParams` - Whether to include any request parameters
      Returns:
        The URI forwarded too

    - #### @java.lang.SuppressWarnings({ "unchecked", "rawtypes" }) public static IncludedContent includeForUrl(java.lang.String includeUrl, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map model)

      Includes the given URL returning the resulting content as a String

      Parameters:
        `includeUrl` - The URL to include
        `request` - The request
        `response` - The response
        `model` - The model
      Returns:
        The content

    - #### @java.lang.SuppressWarnings({ "unchecked", "rawtypes" }) public static IncludedContent includeForUrlMappingInfo(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, UrlMappingInfo info, java.util.Map model)

      Include whatever the given UrlMappingInfo maps to within the current response

      Parameters:
        `request` - The request
        `response` - The response
        `info` - The UrlMappingInfo
        `model` - The model
      Returns:
        The included content

    - #### public static UrlMappingsHolder lookupUrlMappings(javax.servlet.ServletContext servletContext)

      Looks up the UrlMappingsHolder instance

      Parameters:
        `servletContext` - The ServletContext object
      Returns:
        The UrlMappingsHolder

    - #### public static org.springframework.web.servlet.View resolveView(javax.servlet.http.HttpServletRequest request, UrlMappingInfo info, java.lang.String viewName, org.springframework.web.servlet.ViewResolver viewResolver)

      Resolves a view for the given view and UrlMappingInfo instance

      throws:
        Exception
      Parameters:
        `request` - The request
        `info` - The info
        `viewName` - The view name
        `viewResolver` - The view resolver
      Returns:
        The view or null